OperatorsClassification (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter

## Class OperatorsClassification

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter.OperatorsClassification

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable

      public class OperatorsClassification
      extends Object
      implements com.google.gwt.user.client.rpc.IsSerializable

  Author:
    ceras

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OperatorsClassification()`
    `OperatorsClassification(List<OperatorCategory> operatorCategories, List<Operator> operators)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OperatorCategory` | `getCategoryById(String id)`
    `Operator` | `getOperatorById(String id)`
    `List<OperatorCategory>` | `getOperatorCategories()`
    `List<Operator>` | `getOperators()`
    `void` | `setOperatorCategories(List<OperatorCategory> operatorCategories)`
    `void` | `setOperators(List<Operator> operators)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OperatorsClassification

          public OperatorsClassification()

    - #### OperatorsClassification

          public OperatorsClassification(List<OperatorCategory> operatorCategories,
                                 List<Operator> operators)

      Parameters:
        `operatorCategories` -
        `operators` -

  - ### Method Detail

    - #### getOperatorCategories

          public List<OperatorCategory> getOperatorCategories()

      Returns:
        the operatorCategories

    - #### setOperatorCategories

          public void setOperatorCategories(List<OperatorCategory> operatorCategories)

      Parameters:
        `operatorCategories` - the operatorCategories to set

    - #### getOperators

          public List<Operator> getOperators()

      Returns:
        the operators

    - #### setOperators

          public void setOperators(List<Operator> operators)

      Parameters:
        `operators` - the operators to set

    - #### getOperatorById

          public Operator getOperatorById(String id)

    - #### getCategoryById

          public OperatorCategory getCategoryById(String id)

Copyright © 2014. All Rights Reserved.